Loading...
Searching...
No Matches
_LogInfo Struct Reference

## Data Fields

LogEventType | event_mask
LogHandlerType | handler_mask
char * | path
char * | name
char * | filename
char * | format
size_t | generations
FILE * | file
MagickBooleanType | append
MagickBooleanType | stealth
MagickSizeType | limit
TimerInfo | timer
MagickLogMethod | method
SemaphoreInfo * | event_semaphore
size_t | signature

## Detailed Description

Definition at line 110 of file log.c.

## Field Documentation

## append

MagickBooleanType _LogInfo::append

Definition at line 131 of file log.c.

## event_mask

LogEventType _LogInfo::event_mask

Definition at line 113 of file log.c.

## event_semaphore

SemaphoreInfo* _LogInfo::event_semaphore

Definition at line 144 of file log.c.

## file

FILE* _LogInfo::file

Definition at line 128 of file log.c.

## filename

char * _LogInfo::filename

Definition at line 121 of file log.c.

## format

char * _LogInfo::format

Definition at line 122 of file log.c.

## generations

size_t _LogInfo::generations

Definition at line 125 of file log.c.

## handler_mask

LogHandlerType _LogInfo::handler_mask

Definition at line 116 of file log.c.

## limit

MagickSizeType _LogInfo::limit

Definition at line 135 of file log.c.

## method

MagickLogMethod _LogInfo::method

Definition at line 141 of file log.c.

## name

char * _LogInfo::name

Definition at line 120 of file log.c.

## path

char* _LogInfo::path

Definition at line 119 of file log.c.

## signature

size_t _LogInfo::signature

Definition at line 147 of file log.c.

## stealth

MagickBooleanType _LogInfo::stealth

Definition at line 132 of file log.c.

## timer

TimerInfo _LogInfo::timer

Definition at line 138 of file log.c.

The documentation for this struct was generated from the following file:

- log.c